Subject: Re: git & patterns

From: Andreas Ericsson <[email-masked]>
Date: Wed, 18 May 2011 15:07:16 +0200

On 05/18/2011 12:48 PM, Ferry Huberts wrote:
> Hi list
> 
> After reading the manual page for git describe it was not clear to me what
> kind of pattern the --match option should take. Was it to be
> a shell pattern (to be expected) or a regular expression pattern?
> 
> So I dug in the code to find fnmatch: shell pattern.
> 
> Now my question(s):
> - could the manual page be update to make this explicit please? (plus
> other manual pages talking about (shell) patterns)

Patches welcome.

> - could git start taking regular expression patterns please?
> 

I'm not the maintainer, but with my incredible powers of foresight I'll
take a wild stab at answering in his stead:
Not with the current argument, no, but introducing '--rematch' or '--rmatch'
to take a regular expression instead would probably be a welcome patch if
it's well done.

> I'm using the --match option on git describe to generate version
> information from and matching against a regular expression is soooo much
> more powerful and allows me to fully define my naming convention while
> shell patterns do not allow me to do so.
> 
> Or am I missing something?
> 

You're not, but we're missing the patch ;)
For my own needs, the fnmatch patterns work quite well.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.